<template>
  <zj-page-layout :bgColor="'#FFFFFF'" :hasFooter="false" :isScroll="false">
    <view class="content">
      <u-parse :content="content" :tagStyle="style"></u-parse>
    </view>
  </zj-page-layout>
</template>

<script>
  export default {
    data() {
      return {
        id: '',
        content: '',
        style: {
          p: 'font-size: 32rpx; line-height: 52rpx;',
        }
      }
    },
    onLoad({id}) {
      this.id = id;
      this.getDetail();
    },
    methods: {
      getDetail() {
        this.$api.post('/promotion/questionnaire/detail', {
          id: this.id
        }).then(res => {
					this.content = res.data.content;
        })
      },
    },
  }
</script>

<style lang="scss" scoped>
  .content {
    padding: 0 30rpx 30rpx;

    image {
      width: 100%;
    }
  }
</style>
